Appearance
Update a bill
PATCH
/api/v1/bills/{uniqueReferenceIdentifier}
Update the mutable fields of an existing bill. At least one field must be provided.
Authorizations
bearerAuth
Type
HTTP (bearer)
Parameters
Header Parameters
x-region*
Mandatory routing header to direct the request to the appropriate regional products
Type
Requiredstring
Valid values
"EU""IN""US""UK"Path Parameters
uniqueReferenceIdentifier*
Unique identifier of the bill generated by the tenant. Alphanumeric, hyphens, and underscores only. Note: Forward slashes ('/') act as URI path separators, causing a 404 Not Found routing error rather than a 400 Bad Request regex mismatch.
Type
Requiredstring
Example
"ABCD123456"Min Length
3Max Length
90Pattern
"^[-_a-zA-Z0-9]+$"Request Body
application/json
At least one field must be provided. Only mutable fields can be updated.
Min Properties
1Collapse
status
string
Updated status of the bill. CLOF — closed offline; VOID — voided; POST — posted/reconciled.
Valid values
"CLOF""VOID""POST"openAmount
number
Updated open amount of the bill.
Minimum
0Maximum
99999999999.99dueDate
string
Updated due date for the bill. ISO 8601 date format (YYYY-MM-DD). Example: 2024-05-31.
Format
"date"Pattern
"^\\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12]\\d|3[01])$"Responses
Bill updated successfully.
application/json
PatchBillResponse
object
status
string
Updated status of the bill. CLOF — closed offline; VOID — voided; POST — posted/reconciled.
Valid values
"CLOF""VOID""POST"openAmount
number
Updated open amount of the bill.
Minimum
0Maximum
99999999999.99dueDate
string
Updated due date for the bill. ISO 8601 date format (YYYY-MM-DD). Example: 2024-05-31.
Format
"date"Pattern
"^\\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12]\\d|3[01])$"updatedAt
string
Required
The date and time the bill was last updated in ISO 8601 format. Example: 2024-03-24T03:14:15Z.
Format
"date-time"Pattern
"^\\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12]\\d|3[01])T([01]\\d|2[0-3]):[0-5]\\d:[0-5]\\dZ$"Response Headers
Deprecation
Indicates deprecation (boolean)
Typestring
Exampletrue
Sunset
Sunset date in HTTP-date format [ISO 8601]. Example: `2024-03-24T03:14:15Z`.
Typestring (date-time)
Example2024-03-24T03:14:15Z
PATCH
/api/v1/bills/{uniqueReferenceIdentifier}